<template>
  <div>
    <PostComponent
      v-for="post of posts"
      :key="posts.indexOf(post)"
      :post="post"
    />
    <div class="bottom-spacing"></div>

  </div>
</template>

<script>
export default {
  data() {},
  async asyncData({app, $services, $links}){
    var i18n = app.i18n
    return {
          posts: [
            {
              thread: true,
              header: {
                avatar: require("~/assets/images/thornames-view/avatar-thornames.svg"),
              },
              layers: [
                {
                  type: "image",
                  image: require("~/assets/images/thornames-view/thornames-card.svg"),
                },
                {type: 'table-links', links: [
                  {text: i18n.t("THORChain Name Service (TNS)")},
                  {text: i18n.t("Buy THORNames"), link: $links('name_service_thornames_web_app')}
                ]},
                {type:'text', text: [
                  i18n.t('THORNames allow anyone to register cross-chain wallet addresses to a 1-30 long string of hexadecimal characters which include special characters -_+ This makes them compatible to represent emojis ⚡️')
                ]}
              ]
            },
            {
              thread: true,
              header: {
                text: i18n.t("What's the utility of a THORName?"),
                avatar: require("~/assets/images/thornames-view/avatar-thornames.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('A THORChain address can be assigned one THORName to manage the other addresses associated. For example: the THORName chris can receive BTC to the chris.btc address, chris.eth to receive ETH and so forth. Wallet providers will easily be able to integrate to resolve cross-chain addresses for a user.')
                ]},
                {type: 'code-snippet', image:require('~/assets/images/thornames-view/sample-address-card.svg')},
                {type:'text', text: [
                  i18n.t('Currently, there are five native L1 chains available: Bitcoin, Ethereum, Litecoin, Binance, and Bitcoin Cash.')
                ]},
                {
                  type: "image",
                  image: require("~/assets/images/thornames-view/supported-card.svg"),
                }
              ]
            },
            {
              thread: true,
              header: {
                text: i18n.t("Interfaces / Wallets"),
                avatar: require("~/assets/images/home-page/avatar-cursor.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('List of THORChain ecosystem interfaces and wallets which integrated and resolve THORName addresses.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("THORSwap"), link: $links('name_service_thorswap')},
                  {text: i18n.t("XDEFI Wallet"), link: $links('name_service_xdefi')},
                  {text: i18n.t("THORWallet"), link: $links('name_service_thorwallet')}
                ]}
              ]
            },
            {
              thread: true,
              small: true,
              header: {
                avatar: require("~/assets/images/thornames-view/avatar-shft_cntrl.svg"),
              },
              layers: [
                {
                  type: "text-link",
                  text: i18n.t("Why be bullish on THORNames?"),
                  link: $links("name_service_shft_cntrl_bullish_thornames"),
                  style: "color: #1b92da",
                },
              ]
            },
            {
              thread: true,
              header: {
                text: i18n.t("Do THORNames expire?"),
                avatar: require("~/assets/images/thornames-view/avatar-thornames.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('Yes, THORName can be registered for up to 10 years and automatically sold to the highest bidder when expired.')
                ]}
              ]
            },
            {
              thread: true,
              header: {
                text: i18n.t("How can I buy a THORName?"),
                avatar: require("~/assets/images/home-page/avatar-cursor.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('We recommend you make yourself an XDEFI wallet first, then connect to any THORChain interface with XDEFI, and swap some BTC, ETH, LTC, BNB or BCH for some native RUNE, which is required in order a THORName. Then head to THORName website to order yourself available names.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("XDEFI Wallet"), link: $links('name_service_xdefi')},
                  {text: i18n.t("SKIP"), link: $links('name_service_skip')},
                  {text: i18n.t("THORSwap"), link: $links('name_service_thorswap')},
                  {text: i18n.t("ASGARDEX"), link: $links('name_service_asgardex')},
                  {text: i18n.t("Buy THORNames"), link: $links('name_service_thornames_web_app')}
                ]}
              ]
            },
            {
              thread: false,
              header: {
                text: i18n.t("Have questions?"),
                avatar: require("~/assets/images/interfaces-view/avatar-thorswap.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('THORNames were developed by the THORSwap team. Head over to their Discord server for any pre-sale questions.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("Discord"), link: $links('name_service_thorswap_discord')}
                ]}
              ]
            }
          ]
    }
  }
}
</script>
<style>
.bottom-spacing{
  height: 5rem;
}
</style>
